This page is a wiki. Please login or create an account to begin editing.


DenebaCAD

Game screenshot
Rating:
Your rating: None Average: 5 (4 votes)
Category:
Year released:
Author:
Publisher:
#1
[www].se [ftp].se [mirror].us
denebacad102evaluation.sit (22.24 MB)
For System 7.0 - 7.6 - Mac OS 8 - 8.1
#2
[www].se [ftp].se [mirror].us
denebacad15evalkit.sit (28.46 MB)
For System 7.0 - 7.6 - Mac OS 8 - 8.1
[www].se [ftp].se [mirror].us
denebacad_manual.pdf
Emulation
This app works with: SheepShaver,

CAD software from the makers of Canvas. These are evaluation versions but using a retail serial number (like the one in the screenshot) will stop them from expiring.

Compatibility
Architecture: PPC

The readme states that a PowerPC is required, NativeChecker reports that the binary is FAT. However this product is not 68k compatible.

The 68k code in the installer, is there to inform the user that it cannot install to this type of Mac and to enable a "graceful exit" should you make the mistake of trying to install this onto a 68k Macintosh (or 68k emulator, such as Basilisk II).

Comments

by seirios - 2017, March 28 - 1:22pm

I installed version 1.0.2 (successfully) in MacOS 8.1 in Basilisk II, but then the app closes on launch saying a ppc is needed. According to PowerCheck 2.0.4 the installer is 68 k only, and the (generated) app is ppc only.

MikeTomTom's picture
by MikeTomTom - 2011, September 15 - 8:21pm

Excellent. Thanks for uploading them again.

Protocol 7's picture
by Protocol 7 - 2011, September 12 - 3:35am

They're here now Smile

MikeTomTom's picture
by MikeTomTom - 2011, September 7 - 10:29am

There's more 68k code in here than that. There's a CODE resource called "PPC Only" I think thats the 68k knobbler. There's some more obvious large "play" resources named "PPC Nav Play", "68k Nav Play" and "68k Pano Play". It think this was going to be a FAT release but the powers that be decided it was time to go PPC only. For some reason quite a bit of 68k code remains. Version 1.0.2 - I haven't looked more closely at 1.5's resources.

bertyboy's picture
by bertyboy - 2011, September 7 - 10:00am

The installer ... Tells me a PPC mac is required

So I'm guessing there is 68k code to show this, and NativeChecker reports as finding 68k code - 68k code was stored in the resource fork (in CODE templates), PPC code was stored in the data fork. I presume all NativeChecker does is look for a CODE resource in the application to determine if it can also run on 68k.

MikeTomTom's picture
by MikeTomTom - 2011, September 7 - 9:36am

The readme states that a PowerPC is required, however NativeChecker reports that the binary is FAT.

The installer will not allow DenebaCAD (1.0.2 or 1.5) to be installed on a 68k Mac - Tells me a PPC mac is required Sad

Will install on a PPC next and move the installs to a 68k Mac, see if those FAT reports are for real...
[Edit] No-go for versions 1.0.2 & 1.5 here - Quadra 800, Mac OS 7.6.1 Sad

themacmeister's picture
by themacmeister - 2011, February 22 - 1:22am
5

A fantastic upload, many thanks indeed!